### Method

# Camel BlockFile get_block

#### Declaration [src]

    CamelBlock*
    camel_block_file_get_block (
      CamelBlockFile* bs,
      camel_block_t id
    )

#### Description [src]

Retreive a block `id`.

This method is not directly available to language bindings.

#### Parameters

`id`

  Type: `camel_block_t`

  A #camel_block_t.

#### Return value

Type: `CamelBlock`

The block, or `NULL` if blockid is invalid or a file error occurred.

The returned data is owned by the instance.
The return value can be `NULL`.